%global momorel 6
Summary:     goom - visual effects plugin for xmms.
Name:        xmms-goom
Version:     1.99.4
Release:     %{momorel}m
License:     LGPL
Group:       Applications/Multimedia
URL:         http://www.ios-software.com/
# http://www.ios-software.com/download.php3?what=20123&lg=AN
Source0:     http://www.ios-software.com/goom/src/goom-%{version}-src.tgz
Patch0:	     xmms-goom-gcc34.patch
NoSource: 0
Requires:    xmms
BuildPreReq: xmms-devel, SDL-devel >= 1.2.7-10m
BuildRoot   : %{_tmppath}/%{name}-%{version}-root

%description
Goom is a visual effects generator for mp3 players, available for XMMS,
iTunes, Winamp and Windows Media Player.

%prep
%setup -q -n goom-%{version}
%patch -p1

%build
CC=gcc_3_2 ./configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BENCHMARKS COPYING ChangeLog INSTALL KNOWNBUGS NEWS README
%{_prefix}/X11R6/lib/xmms/Visualization/libgoom.*

%ChangeLog
* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.99.4-6m)
- rebuild against SDL-1.2.7-10m

* Sun Jan  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.99.4-5m)
- force using gcc_3_2.
- asm directive for gcc 3.4 is malfunction yet.

* Sun Aug 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.99.4-4m)
- rebuild against DirectFB-0.9.21

* Sun Nov 16 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.99.4-3m)
- rebuild against xmms 1.2.8

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.99.4-2m)
  rebuild against DirectFB 0.9.18

* Tue Feb 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.99.4-1m)
  Imported.
